blob: de8cc1ab2811282c956e9bfa6ccdc8a1ce22551f [file] [log] [blame]
#! /bin/bash
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#
# FSQA Test No. 127
#
# fsx tests modified from CXFSQA tests
# - fsx_00_lite
# - fsx_05_lite_mmap
# - fsx_10_std,
# - fsx_15_std_mmap
#
seq=`basename $0`
seqres=$RESULT_DIR/$seq
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
rm -f $tmp.output
}
# get standard environment, filters and checks
. ./common/rc
. ./common/filter
FSX_FILE_SIZE=262144
FSX_ARGS="-q -l $FSX_FILE_SIZE -o 65536 -S 191110531 -N 100000"
_fsx_lite_nommap()
{
echo "=== FSX Light Mode, No Memory Mapping ==="
dd if=/dev/zero of=$TEST_DIR/fsx_lite_nommap bs=${FSX_FILE_SIZE} count=1 > /dev/null 2>&1
if ! ltp/fsx $FSX_ARGS -L -R -W $FSX_AVOID $TEST_DIR/fsx_lite_nommap > $tmp.output 2>&1
then
echo "ltp/fsx $FSX_ARGS -L -R -W $TEST_DIR/fsx_lite_nommap"
cat $tmp.output
return 1
fi
cat $tmp.output
return 0
}
_fsx_lite_mmap()
{
echo "=== FSX Light Mode, Memory Mapping ==="
dd if=/dev/zero of=$TEST_DIR/fsx_lite_mmap bs=${FSX_FILE_SIZE} count=1 > /dev/null 2>&1
if ! ltp/fsx $FSX_ARGS -L $FSX_AVOID $TEST_DIR/fsx_lite_mmap > $tmp.output 2>&1
then
echo "ltp/fsx $FSX_ARGS -L fsx_lite_mmap"
cat $tmp.output
return 1
fi
cat $tmp.output
return 0
}
_fsx_std_nommap()
{
echo "=== FSX Standard Mode, No Memory Mapping ==="
if ! ltp/fsx $FSX_ARGS -R -W $FSX_AVOID $TEST_DIR/fsx_std_nommap > $tmp.output 2>&1
then
echo "ltp/fsx $FSX_ARGS -R -W fsx_std_nommap"
cat $tmp.output
return 1
fi
cat $tmp.output
return 0
}
_fsx_std_mmap()
{
echo "=== FSX Standard Mode, Memory Mapping ==="
if ! ltp/fsx $FSX_ARGS $FSX_AVOID $TEST_DIR/fsx_std_mmap > $tmp.output 2>&1
then
echo "ltp/fsx $FSX_ARGS fsx_std_mmap"
cat $tmp.output
return 1
fi
cat $tmp.output
return 0
}
# real QA test starts here
_supported_fs generic
_require_test
_fsx_lite_nommap || exit
_fsx_lite_mmap || exit
_fsx_std_nommap || exit
_fsx_std_mmap || exit
#flush cache after write
FSX_ARGS="-f $FSX_ARGS"
_fsx_std_nommap || exit
_fsx_std_mmap || exit
status=0
_cleanup
exit